/**
 * @file
 * Subtheme specific CSS.
 */

 @font-face {
    font-family: "candara";
    font-style: normal;
    font-weight: 400;
    src: url("../fonts/candara-r.eot?#iefix") format("embedded-opentype"), url("../fonts/candara-r.woff") format("woff"), url("../fonts/candara-r.ttf") format("truetype"), url("../fonts/candara-r.svg#candara-r") format("svg");
}
@font-face {
    font-family: "candara";
    font-style: italic;
    font-weight: 400;
    src: url("../fonts/candara-i.eot?#iefix") format("embedded-opentype"), url("../fonts/candara-i.woff") format("woff"), url("../fonts/candara-i.ttf") format("truetype"), url("../fonts/candara-i.svg#candara-i") format("svg");
}
@font-face {
    font-family: "candara";
    font-style: italic;
    font-weight: 700;
    src: url("../fonts/candara-bi.eot?#iefix") format("embedded-opentype"), url("../fonts/candara-bi.ttf") format("truetype"), url("../fonts/candara-bi.svg#candara-bi") format("svg");
}
@font-face {
    font-family: "candara";
    font-style: normal;
    font-weight: 700;
    src: url("../fonts/candara-b.eot?#iefix") format("embedded-opentype"), url("../fonts/candara-b.woff") format("woff"), url("../fonts/candara-b.ttf") format("truetype"), url("../fonts/candara-b.svg#candara-b") format("svg");
}

:root{    
    --color-text:#6D6E71;
    --color-heading: #58595B;
    --color-gray-light: #F1F2F2;
    font-size: 14px;
}

body{
    background-color: #F1F2F2;
    font-family: "candara";
    color: var(--color-text);
    overflow-x: hidden;

    & span, & p{
        color: var(--color-text);
    }
}

body a{
    color: var(--bs-primary);
    text-decoration: none;
    &:hover{
        color: var(--bs-primary);
        text-decoration: underline;
    }
}

h1, h2, h3, h4, h5, h6{
    color: var(--color-heading) !important;
    font-weight: bold;
}

p{
    color: var(--color-text);
    font-size: 16px;
    text-align: justify;

}

img{
    max-width: 100%;
    height: auto;
    max-height: max-content;
}

iframe{
    max-width: 100%
}

.fi-arrow{
    position: relative;
    &::before{
        content: "";
        display: flex;
        justify-content: center;
        align-items: center;
        width: 30px;
        height: 30px;
        background-image: url(../images/arrow.png);
        background-size: cover;
        background-position: center;
    }
}

/* ----------  .Header ---------- */

.header{
    position: sticky;
    top: 0;
    z-index: 20;
}

.header .navbar-brand img {
    max-width: 260px;
}

.header #navbar-main {
    background-color: #fff;
    background-image: url('../images/bg-header.png');
    background-position: center bottom;
    background-repeat: no-repeat;
    padding: 10px 10px 18px;
}

.header #CollapsingNavbar{
    flex-wrap: wrap;
    margin-bottom: 10px;
}

.header #block-ideal-theme-textoantesdenavegacionprincipal p{
    font-family: "candara";
    font-style: italic;
    font-weight: 400;
    font-size: 18px;
    margin-bottom: 10px;
}

.header #block-ideal-theme-navegacionprincipal .tb-megamenu {
    background-color: #000;
    background-color: #F1F2F2;
    border-radius: 3px;
}

.header #block-ideal-theme-navegacionprincipal .tb-megamenu .nav > li > a, .tb-megamenu .nav > li > span.tb-megamenu-no-link {
    border-right: 0;
    color: var(--bs-primary);
    font-weight: 400;
    padding: 5px 20px;
    cursor: pointer;
    user-select: none;
    &:hover{
        color: var(--bs-primary);
        text-decoration: underline;
        background-color: transparent;
    }
}

.header .dropdown-toggle::after{
    display: none;
}

.header .tb-megamenu .nav li.dropdown > .dropdown-toggle .caret {
    border-top-color: var(--bs-primary);
    border-bottom-color: var(--bs-primary);
}

.tb-megamenu .nav li.dropdown.open > .dropdown-toggle {
    background-color: transparent;
    border-color: transparent;
    color: var(--bs-primary);
}

.header .tb-megamenu .nav li.dropdown.active > .dropdown-toggle, .tb-megamenu .nav li.dropdown.open.active > .dropdown-toggle, .tb-megamenu .nav > li.dropdown.open.active > a:hover, .tb-megamenu .nav > li.dropdown.open.active > span.tb-megamenu-no-link:hover {
    background-color: var(--bs-secondary);
    border-color: transparent;
    color: var(--bs-primary);
}

.header .tb-megamenu .nav li.dropdown.open > .dropdown-toggle .caret, .tb-megamenu .nav li.dropdown.active > .dropdown-toggle .caret, .tb-megamenu .nav li.dropdown.open.active > .dropdown-toggle .caret {
    border-top-color: var(--bs-primary);
    border-bottom-color: var(--bs-primary);
}

.tb-megamenu .mega.open > .mega-dropdown-menu, .tb-megamenu .mega.dropdown-submenu:hover > .mega-dropdown-menu {
    background-color: rgba(241, 242, 242, 0.9);
}

.tb-megamenu .mega-nav > li, .tb-megamenu .dropdown-menu .mega-nav > li {
    border-bottom: 1px dotted #BCBEC0;
    & a{
        margin: 0 10px;
        padding: 5px 10px;
        color: var(--bs-primary);
        font-size: 1rem;
        &:hover{
            color: var(--bs-primary);
            text-decoration: underline;
        }

        &.active-trail {
            background: transparent !important;
            text-decoration: underline !important;
        }
    }
}

.tb-megamenu-column-inner.mega-inner.clearfix {
    min-width: max-content;
}

.tb-megamenu .nav > li > a:focus, .tb-megamenu .nav > li > a:hover, .tb-megamenu .nav > li > span.tb-megamenu-no-link:focus, .tb-megamenu .nav > li > span.tb-megamenu-no-link:hover {
    background-color: transparent;
    color: var(--bs-primary);
}

.tb-megamenu .dropdown-menu{
    border-bottom: none;
}

#block-ideal-theme-botonesnavegacionprincipal {
    margin-left: 2rem;
}

#block-ideal-theme-menusecundario-3 {
    background-color: #FDD828;
    background-image: url(../images/bg-menu2.png);
    background-position: center bottom;
    background-repeat: no-repeat;
    width: 100%;
    border-bottom: 5px solid #F1F2F2;

    & .tb-megamenu {
        background-color: transparent;
    }
}

#block-ideal-theme-menusecundario-3 .tb-megamenu .nav > li > span.tb-megamenu-no-link {
    font-size: 16px;
    padding: 5px 0px 10px;
    text-wrap: wrap;
    line-height: 18px;

    &:hover{
        font-weight: bold;
        text-decoration: none;
    }
}

#block-ideal-theme-menusecundario-3 li{
    &:hover{
        background-color: #FDD828;
    }
}

#block-ideal-theme-menusecundario-3 .tb-megamenu-nav {
    display: flex;
    justify-content: space-between;

    & > li{
        width: 20%;
        text-align: center;
        border-left: 1px solid #FDE857;
        border-right: 1px solid #FDD000;

        & .tb-megamenu-submenu.dropdown-menu.mega-dropdown-menu.nav-child {
            width: 100%;
            text-align: center;
        }
    }
}

#block-ideal-theme-menusecundario-3 .tb-megamenu-column-inner.mega-inner {
    min-width: max-content;
    min-width: 100%;
    
}

#block-ideal-theme-menusecundario-3 .tb-megamenu .mega-nav > li, #block-ideal-theme-menusecundario-3 .tb-megamenu .dropdown-menu .mega-nav > li {
    border-top: 1px solid #FDE857;
    border-bottom: 1px solid #FDD000;

    & a{
        border: none;
        padding: 10px 0;
    }
}

#block-ideal-theme-menusecundario-3 .tb-megamenu .span12.mega-col-nav .mega-inner {
    padding: 0;
}

#block-ideal-theme-menusecundario-3 .tb-megamenu .mega.open > .mega-dropdown-menu, #block-ideal-theme-menusecundario-3 .tb-megamenu .mega.dropdown-submenu:hover > .mega-dropdown-menu {
    background-color: rgba(253, 216, 40, 0.8);
}

.tb-megamenu .nav > .active > a, .tb-megamenu .nav > .active > a:hover, .tb-megamenu .nav > .active > a:focus, .tb-megamenu .nav > .active > span.tb-megamenu-no-link, .tb-megamenu .nav > .active > span.tb-megamenu-no-link:hover, .tb-megamenu .nav > .active > span.tb-megamenu-no-link:focus{
    background-color: var(--bs-secondary);
}

button.close-megamenu {
    display: none
}

/* TB Megamenu movil */

@media screen and (max-width: 979px) {

    div#block-ideal-theme-textoantesdenavegacionprincipal {
        display: none;
    }
    
    .navbar-toggler {
        display: none !important;
    }

    .tb-megamenu .nav-collapse {
        background-color: #F1F2F2;
    }
    
    .tb-megamenu .nav-collapse .nav > li > a, .tb-megamenu .nav-collapse .dropdown-menu a, .tb-megamenu .nav-collapse .nav > li > span.tb-megamenu-no-link, .tb-megamenu .nav-collapse .dropdown-menu span.tb-megamenu-no-link {
        color: var(--bs-primary);
    }

    .tb-megamenu {

        & > .nav-collapse{
            position: fixed;
            left: 0;
            top: 0;
            width: 100vw;
        }

        & .tb-megamenu-nav {
            flex-direction: column;
            width: 100%;

            & .tb-megamenu-item {
                width: 100% !important;
            }
        }
    }

    .tb-megamenu .nav-collapse .nav li ul li ul.dropdown-menu, .tb-megamenu .nav-collapse .nav li ul li:hover ul.dropdown-menu, .tb-megamenu .nav-collapse .caret {
        display: inline-block !important;
    }

    #block-ideal-theme-menusecundario-3 .tb-megamenu-nav {
        & > li {
            border-left: none;
            border-right: none;
        }
    }

    .nav-collapse.show.collapse.heigh-100 {
        margin: 0;
    }

    .tb-megamenu .mega-nav > li, .tb-megamenu .dropdown-menu .mega-nav > li, .tb-megamenu .nav-collapse .nav li a{
        border: none;
    }

    .tb-megamenu .nav-collapse .nav > li > a, .tb-megamenu .nav-collapse .dropdown-menu a, .tb-megamenu .nav-collapse .nav > li > span.tb-megamenu-no-link, .tb-megamenu .nav-collapse .dropdown-menu span.tb-megamenu-no-link {
            border-bottom: 1px dotted #BCBEC0;
        }

    .heigh-100{
        height: 100vh !important;
        padding: 3rem 1rem;
    }

    .no-scroll {
        overflow: hidden;
      }

    button.close-megamenu {
        display: block;
        font-size: 2rem;
        color: var(--bs-primary);
        position: absolute;
        top: 0;
        right: 0;
        padding: 5px 10px;
        border: none;
        line-height: normal;
    }

    #block-ideal-theme-navegacionprincipal {
        width: fit-content;
        order: 1;
    }

    #block-ideal-theme-botonesnavegacionprincipal {
        margin-left: 0;
        width: fit-content;
        order: 0;
        position: relative;
    }

    #CollapsingNavbar{
        display: contents;
    }

    .tb-megamenu .btn-navbar {
        margin-bottom: 0;
        color: var(--bs-primary);
        font-size: 20px;
        padding-right: 13px;
        display: flex;
    }

    button[data-custom="tb-megamenu-menu-secundario"].tb-megamenu-button {
        background: transparent;
        border: none;
        padding-bottom: 14px;
    }

    button[data-custom="tb-megamenu-menu-secundario"].tb-megamenu-button::after {
        content: "< Conoce nuestros Proyectos, Programas, Cursos y más...";
        font-size: 13px;
        margin-left: 1rem;
    }

    .tb-megamenu .btn-navbar:hover, .tb-megamenu .btn-navbar:focus, .tb-megamenu .btn-navbar:active, .tb-megamenu .btn-navbar.active, .tb-megamenu .btn-navbar.disabled, .tb-megamenu .btn-navbar[disabled] {
        color: var(--bs-primary);
        background-color: transparent;
    }
}


#idioma {
    background-color: #FFFFE1;
    padding: 5px;
    position: fixed;
    right: 0;
    top: 0;
    z-index: 5;
}

/* --------- Top Page -------- */

.fi-breadcrumb-container{
    font-size: 12px;
    display: flex;
    gap: 1rem;
    align-items: center;
    padding: 5px 0;
    border-bottom: 1px solid #E6E7E8;
    padding: 5px 0;
    margin: 0 1%;
    width: 98%;
    flex-wrap: wrap;
    & p{
        font-size: inherit;
        margin-bottom: 0;

        & svg{
            opacity: 0.6;
            font-size: 1.4em;
        }
    }

    & ol{
        margin-bottom: 0;
    }
}

.breadcrumb-item.active {
    font-weight: bold;
}

#suscripcion {
    background-color: #FFFFE1;
    background-image: url(../images/bg-suscripcion.png);
    background-position: left 5px;
    background-repeat: no-repeat;
    padding: 10px 0;
}

#suscripcion .webform-flexbox {
    margin: 0 !important;
    flex-wrap: wrap;
}

#suscripcion .form-item-boletin-titulo {
    margin: 2px 5px 0 15px;
    font-weight: bold;
    font-size: 14px;
    & p{
        margin-bottom: 0    ;
    }
}

#suscripcion input, #suscripcion select {
    background-color: #fff;
    border: 1px solid #E6E7E8;
    border-radius: 3px;
    height: 20px;
    margin: 0 5px;
    padding: 2px 5px;
    width: 140px;
    box-sizing: content-box;
    color: var(--color-text);
    font-size: 12px;
}

#suscripcion .webform-flex--container{
    margin: 0;
    & .mb-3 {
        margin-bottom: 0 !important;
    }
}
#suscripcion button.form-submit{
    background-color: #fff;
    border: 1px solid #fdd828;
    border-radius: 5px;
    color: #164992;
    cursor: pointer;
    display: block;
    font-size: 14px;
    margin: auto;
    padding: 0 10px;
    text-transform: uppercase;
    height: 26px;
}

button.subscribete-button {
    display: none;
    background-color: transparent;
    border: none;
    margin-left: 1.2rem;
    font-size: 1rem;
    font-weight: bold;
    color: var(--bs-primary);
}

@media screen and (max-width: 767px){
    #suscripcion input, #suscripcion select {
        height: auto;
        padding: 5px 1rem;
        width: 100%;
        box-sizing: border-box;
        color: var(--color-text);
        font-size: 13px;
        margin: 0;
    }

    #suscripcion .webform-flexbox {
        margin: 0 !important;
        flex-wrap: wrap;
        gap: 6px;
        display: flex;
        padding: 1rem;
    }

    #suscripcion .webform-flex {
        width: 100%;
    }

    button.subscribete-button {
        display: block;
    }

    #suscripcion form {
        height: 0;
        overflow: hidden;
    }

    #suscripcion form.show {
        height: auto;
        overflow: visible;
    }
}


/* ---------- Footer ---------- */

footer.site-footer {
    background: var(--color-gray-light);

    & .content{
        & a{
            color: var(--bs-primary);
            &:hover{
                color: var(--bs-primary);
            }
        }
    }
}

footer .site-footer__top .region {
    width: 100%;
}

div#acreditaciones {
    text-align: center;
    & img{
        height: auto !important;
    }
}


/*--------- Others---------*/



.node--view-mode-teaser .node__content {
    font-size: 16px;
}

.node--view-mode-teaser {
    border-bottom: none;
    margin-bottom: 0;
    padding-bottom: 0;
}

@media (min-width: 768px) {
    .h-md-100 {
        height: 100%;
    }
}

#main .top, #main.bottom {
    background-position: center top;
    background-repeat: no-repeat;
    height: 20px;
    left: 0;
    position: absolute;
    width: 100%;
    z-index: 5;
}

#main {
    position: relative;
    margin-top: 5px;
    & .top {
        background-image: url(../images/bg-destacados-top.png);
        top: 0;
    }
}

.main-content{
    padding: 3rem;
    border: 1px solid #E6E7E8;
    border-radius: 3px;
    margin-bottom: 1rem;
}

h1 {
    border-bottom: 2px solid #FDD828;
    font-size: 2rem;
    padding-bottom: 10px;
    margin-bottom: 2rem;
}

.sidebar .block {
    border-style: none;
    border-width: 0;
    margin: 0
}

.view-filters {
    background-color: #F1F2F2;
    border-radius: 5px;
    padding: 1rem 0.5rem;
    margin-bottom: 20px;
}

.view-filters .js-form-item {
    max-width: 25%;
}

.view-filters .form-submit{
    display: block;
    margin: auto;
    width: 140px;
    border: 1px solid #FDD828;
    border-radius: 5px;
    color: #164992;
    background-color: #fff;
    cursor: pointer;
    font-size: 14px;
    padding: 5px 10px;
    text-transform: uppercase;
    &:hover{
        background-color: #fff;
    }
}

.view-filters form .form-actions {
    width: 100%;
}

.view-filters form .flex-wrap {
    justify-content: space-around;
    column-gap: 1rem;
}

.pagination {
    margin: 0 auto;
    width: fit-content;
}

#main .page-link, #main .page-link:hover {
    color: var(--bs-primary);
}

#main .page-item.active .page-link {
    background-color: var(--bs-primary);
    border-color: var(--bs-primary);
    color: #fff;
    &:hover{
        color: #fff;
    }
}

a.descarga-pdf {
    background-image: url(../images/icn-pdf.jpg);
    background-repeat: no-repeat;
    display: block;
    padding: 10px 0 10px 45px;
    margin-bottom: 20px;
}

nav > .row {
    margin: 0;
}


@media screen and (max-width: 1023px) and (min-width: 768px){

    .main-content {
        padding: 2rem 1rem;
    }

    .view-filters .js-form-item {
        max-width: 50%;
        width: 48%;
    }

    .container{
        max-width: 100%;
    }

    
}


@media screen and (max-width: 767px){

    .main-content {
        padding: 2rem 1rem;
    }

    .view-filters {
        padding: 1rem 1.5rem;
    }

    .view-filters form .flex-wrap {
        flex-direction: column;
    }

    .view-filters .js-form-item {
        max-width: 100%;
    }
}

#contacto{
    background-color: rgba(255,255,255,0.7);
    bottom: 0;
    height: 30px;
    position: fixed;
    width: 100%;
    z-index: 5;
    display: flex;
    justify-content: space-between;
}
#contacto #contacto-directo,#contacto #contacto-social{
    background-color: #FFFFE1;
    height: 30px;
    width: auto;
    display: flex
;
}
#contacto #contacto-directo a#pedir-cita{
    background-color: #FDD828;
    display: block;
    font-size: 16px;
    padding: 5px 10px;
    text-align: center;
}
#contacto #contacto-directo p#informacion,#contacto #contacto-social p{
    display: block;
    margin: 0;
    font-size: 14px;
    padding: 6px 10px 0;
}
#contacto #contacto-social p{
    padding: 6px 0 0 10px;
}
#contacto #contacto-social #redes{
    padding: 5px 10px;
    display: flex
;
}
#contacto #contacto-social #redes a.icono{
    display: block;
    height: 20px;
    margin: 0 10px 0 0;
    width: 20px;
}
#contacto #contacto-social #redes a#facebook{
    background-image: url("../images/social/facebook.png");
}
#contacto #contacto-social #redes a#facebook:hover{
    background-image: url("../images/social/facebook-h.png");
}
#contacto #contacto-social #redes a#twitter{
    background-image: url("../images/social/twitter.png");
}
#contacto #contacto-social #redes a#twitter:hover{
    background-image: url("../images/social/twitter-h.png");
}
#contacto #contacto-social #redes a#linkedin{
    background-image: url("../images/social/linkedin.png");
}
#contacto #contacto-social #redes a#linkedin:hover{
    background-image: url("../images/social/linkedin-h.png");
}
#contacto #contacto-social #redes a#youtube{
    background-image: url("../images/social/youtube.png");
    margin: 0;
    width: 34px;
}
#contacto #contacto-social #redes a#youtube:hover{
    background-image: url("../images/social/youtube-h.png");
}

@media screen and (max-width:767px) {
    #contacto {
        position: relative;
        flex-direction: column;
    }

    #contacto #contacto-directo, #contacto #contacto-social {
        width: 100%;
    }

    #contacto #contacto-directo a#pedir-cita{
        width: 100%;
    }
}


/* Admin */

nav.tabs {
    margin-top: 20px;
    & .nav-link{
        color: var(--bs-primary);
    }
}


